Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002480KdenliveUser Interfacepublic2012-01-14 23:322012-05-15 10:58
Reportermcfrisk 
Assigned Tottill 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version0.9 
Summary0002480: qt related crash when starting kdenlive
Descriptionkdenlive crashed propably due to some audio related problem and then fails to start due to this crash.
Steps To ReproduceGet kdenlive to crash with some audio problem and then try to restart it. Too many crash words here :)
Additional Information[Thread 0xbd009b70 (LWP 5341) exited]
[New Thread 0xbd009b70 (LWP 5346)]
[New Thread 0xbd80ab70 (LWP 5347)]
[New Thread 0xbeaceb70 (LWP 5348)]
[New Thread 0xbf2cfb70 (LWP 5349)]
ALSA lib pcm.c:7316:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7316:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7316:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7316:(snd_pcm_recover) underrun occurred
[Thread 0x2dbfdb70 (LWP 5343) exited]
[Thread 0xbc007b70 (LWP 5344) exited]
[Thread 0xbc808b70 (LWP 5345) exited]
[Thread 0xba804b70 (LWP 5327) exited]
[New Thread 0xba804b70 (LWP 5350)]
[New Thread 0xbc808b70 (LWP 5351)]
[New Thread 0xbc007b70 (LWP 5352)]
ALSA lib pcm.c:7316:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7316:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7316:(snd_pcm_recover) underrun occurred

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xbd80ab70 (LWP 5347)]
__memcpy_ia32 () at ../sysdeps/i386/i686/multiarch/../memcpy.S:75
75 ../sysdeps/i386/i686/multiarch/../memcpy.S: No such file or directory.
        in ../sysdeps/i386/i686/multiarch/../memcpy.S
(gdb) bt full
#0 __memcpy_ia32 () at ../sysdeps/i386/i686/multiarch/../memcpy.S:75
No locals.
#1 0x000e1000 in ?? ()
No symbol table info available.
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(gdb) ^CQuit
(gdb) r
The program being debugged has been started already.
Start it from the beginning? (y or n) y

Starting program: /usr/bin/kdenlive tirolista_kajahtaa_01.kdenlive
[Thread debugging using libthread_db enabled]
project monitor connected
clip monitor connected

Program received signal SIGSEGV, Segmentation fault.
0xb66f73e4 in QObject::thread() const () from /usr/lib/libQtCore.so.4
(gdb) r
The program being debugged has been started already.
Start it from the beginning? (y or n) y

Starting program: /usr/bin/kdenlive tirolista_kajahtaa_01.kdenlive
[Thread debugging using libthread_db enabled]
project monitor connected
clip monitor connected

Program received signal SIGSEGV, Segmentation fault.
0xb66f73e4 in QObject::thread() const () from /usr/lib/libQtCore.so.4
(gdb) quit
A debugging session is active.

        Inferior 1 [process 5364] will be killed.

Quit anyway? (y or n) y
mcfrisk@totoro:~/video/20120106_tommi_tirolissa$ gdb --args kdenlive tirolista_kajahtaa_02.kdenlive
GNU gdb (GDB) 7.3-debian
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>... [^]
Reading symbols from /usr/bin/kdenlive...done.
(gdb) r
Starting program: /usr/bin/kdenlive tirolista_kajahtaa_02.kdenlive
[Thread debugging using libthread_db enabled]
project monitor connected
clip monitor connected

Program received signal SIGSEGV, Segmentation fault.
0xb66f73e4 in QObject::thread() const () from /usr/lib/libQtCore.so.4
(gdb) bt full
#0 0xb66f73e4 in QObject::thread() const () from /usr/lib/libQtCore.so.4
No symbol table info available.
#1 0xb66fbe02 in QObject::QObject(QObject*) () from /usr/lib/libQtCore.so.4
No symbol table info available.
0000002 0xb7c76332 in KActionCollection::KActionCollection(QObject*, KComponentData const&) () from /usr/lib/libkdeui.so.5
No symbol table info available.
0000003 0x0810ca7e in MainWindow::setupActions (this=0x84d4170)
    at /home/mcfrisk/src/kdenlive-git/src/mainwindow.cpp:1548
        buttonBg = {cspec = QColor::Rgb, ct = {argb = {alpha = 65535,
              red = 43465, green = 50842, blue = 60864, pad = 0}, ahsv = {
              alpha = 65535, hue = 43465, saturation = 50842, value = 60864,
              pad = 0}, acmyk = {alpha = 65535, cyan = 43465, magenta = 50842,
              yellow = 60864, black = 0}, ahsl = {alpha = 65535, hue = 43465,
              saturation = 50842, lightness = 60864, pad = 0}, array = {65535,
              43465, 50842, 60864, 0}}}
        transcodeClip = <optimized out>
        markIn = 0xbfffe8e8
        clipStart = <optimized out>
        deleteItem = <optimized out>
        configTracks = <optimized out>
        addGuide = <optimized out>
        clipProperties = <optimized out>
---Type <return> to continue, or q <return> to quit---
        collection = {m_collection = 0x8c113a0, m_action_names = @0x84d4258}
        buttonBord2 = {cspec = QColor::Rgb, ct = {argb = {alpha = 65535,
              red = 65451, green = 65444, blue = 65441, pad = 0}, ahsv = {
              alpha = 65535, hue = 65451, saturation = 65444, value = 65441,
              pad = 0}, acmyk = {alpha = 65535, cyan = 65451, magenta = 65444,
              yellow = 65441, black = 0}, ahsl = {alpha = 65535, hue = 65451,
              saturation = 65444, lightness = 65441, pad = 0}, array = {65535,
              65451, 65444, 65441, 0}}}
        styleBorderless = {static null = {<No data fields>},
          static shared_null = {ref = {_q_value = 72330}, alloc = 0, size = 0,
            data = 0x845a812, clean = 0, simpletext = 0, righttoleft = 0,
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}},
          static shared_empty = {ref = {_q_value = 131}, alloc = 0, size = 0,
            data = 0xb681c63e, clean = 0, simpletext = 0, righttoleft = 0,
            asciiCache = 0, capacity = 0, reserved = 0, array = {0}},
          d = 0x92cabd8, static codecForCStrings = 0x0}
        monitorPlay = <optimized out>
        videoOnly = <optimized out>
        audioAndVideo = 0x87b4f98
        delGuide = <optimized out>
        proxyClip = <optimized out>
        actionWidget = <optimized out>
        archiveProject = <optimized out>
---Type <return> to continue, or q <return> to quit---
        zoneStart = <optimized out>
        editItemDuration = <optimized out>
        cutTimelineClip = <optimized out>
        monitorSeekBackwardOneFrame = <optimized out>
        insertSpace = <optimized out>
        selectTrack = <optimized out>
        reloadClip = <optimized out>
        monitorSeekSnapForward = <optimized out>
        stopMotion = <optimized out>
        transitionActions = <optimized out>
        dvdWizard = <optimized out>
        insertTimeline = 0xbfffe8e8
        resizeEnd = <optimized out>
        zoneEnd = <optimized out>
        downloadResources = <optimized out>
        buttonBord = {cspec = QColor::Rgb, ct = {argb = {alpha = 65535,
              red = 0, green = 22359, blue = 44718, pad = 0}, ahsv = {
              alpha = 65535, hue = 0, saturation = 22359, value = 44718,
              pad = 0}, acmyk = {alpha = 65535, cyan = 0, magenta = 22359,
              yellow = 44718, black = 0}, ahsl = {alpha = 65535, hue = 0,
              saturation = 22359, lightness = 44718, pad = 0}, array = {65535,
              0, 22359, 44718, 0}}}
        projectRender = <optimized out>
---Type <return> to continue, or q <return> to quit---
        style1 = {static null = {<No data fields>}, static shared_null = {
            ref = {_q_value = 72330}, alloc = 0, size = 0, data = 0x845a812,
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
            capacity = 0, reserved = 0, array = {0}}, static shared_empty = {
            ref = {_q_value = 131}, alloc = 0, size = 0, data = 0xb681c63e,
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
            capacity = 0, reserved = 0, array = {0}}, d = 0x92e91a0,
          static codecForCStrings = 0x0}
        playShortcut = {d = 0x8aeda10}
        undo = <optimized out>
        redo = <optimized out>
        fullMon = 0xbfffe8e8
        deleteTrack = <optimized out>
        addSlideClip = <optimized out>
        max = 142332200
        resizeStart = <optimized out>
        monitorSeekForward = <optimized out>
        monitorSeekForwardOneSecond = <optimized out>
        deselectTimelineClip = <optimized out>
        selectTimelineTransition = <optimized out>
        addClip = <optimized out>
        wizAction = <optimized out>
        insertTree = 0xbfffe8e8
---Type <return> to continue, or q <return> to quit---
        deleteClipMarker = <optimized out>
        editGuide = <optimized out>
        pasteEffects = <optimized out>
        monitorPause = <optimized out>
        monitorSeekForwardOneFrame = <optimized out>
        groupClip = <optimized out>
        addClipMarker = <optimized out>
        showTimeline = <optimized out>
        addTitleClip = <optimized out>
        deleteClip = <optimized out>
        toolGroup = 0x8bc63f0
        profilesAction = <optimized out>
        switchMon = 0xbfffe8e8
        deleteAllClipMarkers = <optimized out>
        delAllGuides = <optimized out>
        addFolderButton = <optimized out>
        editGroup = 0x87bd128
        markOut = 0xbfffe8e8
        deselectTimelineTransition = <optimized out>
        audioOnly = 0x87bd128
        backupAction = <optimized out>
        monitorSeekBackwardOneSecond = <optimized out>
        selectAddTimelineClip = <optimized out>
---Type <return> to continue, or q <return> to quit---
        addMarkerGuideQuickly = <optimized out>
        insertTrack = <optimized out>
        selectAll = <optimized out>
        addTitleTemplateClip = <optimized out>
        toolbar = <optimized out>
        stickTransition = 0xbfffe8e8
        selectTimelineClip = <optimized out>
        selectAddTimelineTransition = <optimized out>
        editClipMarker = <optimized out>
        openClip = <optimized out>
        projectAdjust = <optimized out>
        clipEnd = <optimized out>
        projectStart = <optimized out>
        projectEnd = <optimized out>
        ungroupClip = <optimized out>
        insertOvertwrite = <optimized out>
        splitAudio = <optimized out>
        monitorSeekBackward = <optimized out>
        monitorSeekSnapBackward = <optimized out>
        addColorClip = <optimized out>
        projectAction = <optimized out>
        projectClean = <optimized out>
        clipInProjectTree = <optimized out>
---Type <return> to continue, or q <return> to quit---
        removeSpace = <optimized out>
        showTitleBar = <optimized out>
        scheme = <incomplete type>
        addClips = <optimized out>
0000004 0x0811a869 in MainWindow::MainWindow (this=0x84d4170, MltPath=...,
    Url=..., clipsToLoad=..., parent=0x0, __in_chrg=<optimized out>,
    __vtt_parm=<optimized out>)
    at /home/mcfrisk/src/kdenlive-git/src/mainwindow.cpp:396
        layoutActions = <optimized out>
        action = <optimized out>
        themegroup = <optimized out>
        closeTabButton = <optimized out>
        b = <optimized out>
        trackMenu = <optimized out>
        saveLayout = <optimized out>
        systemLocale = {static staticMetaObject = {d = {superdata = 0x0,
              stringdata = 0xb67b6240 "QLocale", data = 0xb67b73e0,
              extradata = 0x0}}, {v = 0x10144, p = {index = 324,
              numberOptions = 1}}}
        separator = 0x8c79e08 ""
        dbus = {static staticMetaObject = {d = {superdata = 0x0,
              stringdata = 0xb68c21a0 "QDBusConnection", data = 0xb68c23c0,
              extradata = 0x0}}, d = 0x84ba8d8}
---Type <return> to continue, or q <return> to quit---
        tabs = {{p = {static shared_null = {ref = {_q_value = 4752},
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}},
              d = 0xb681c1a0}, d = 0xb681c1a0}}
        themesMenu = <optimized out>
        m = <optimized out>
        clipInTimeline = <optimized out>
        schemeFiles = {<QList<QString>> = {{p = {static shared_null = {ref = {
                    _q_value = 4752}, alloc = 0, begin = 0, end = 0,
                  sharable = 1, array = {0x0}}, d = 0xbfffec7c},
              d = 0xbfffec7c}}, <No data fields>}
        menus = {{d = 0x4c, e = 0x4c}}
        viewMenu = <optimized out>
        viewActions = {{p = {static shared_null = {ref = {_q_value = 4752},
                alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}},
              d = 0x6c}, d = 0x6c}}
        markersMenu = <optimized out>
        conf = <incomplete type>
0000005 0x0808baef in main (argc=0, argv=0x0)
    at /home/mcfrisk/src/kdenlive-git/src/main.cpp:84
        args = 0x8475df8
        clipsToLoad = {static null = {<No data fields>}, static shared_null = {
            ref = {_q_value = 72330}, alloc = 0, size = 0, data = 0x845a812,
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
---Type <return> to continue, or q <return> to quit---
            capacity = 0, reserved = 0, array = {0}}, static shared_empty = {
            ref = {_q_value = 131}, alloc = 0, size = 0, data = 0xb681c63e,
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
            capacity = 0, reserved = 0, array = {0}}, d = 0xb681c62c,
          static codecForCStrings = 0x0}
        mltPath = {static null = {<No data fields>}, static shared_null = {
            ref = {_q_value = 72330}, alloc = 0, size = 0, data = 0x845a812,
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
            capacity = 0, reserved = 0, array = {0}}, static shared_empty = {
            ref = {_q_value = 131}, alloc = 0, size = 0, data = 0xb681c63e,
            clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0,
            capacity = 0, reserved = 0, array = {0}}, d = 0xb681c62c,
          static codecForCStrings = 0x0}
        url = {<QUrl> = {d = 0x84d4110}, d = 0x0}
        aboutData = {d = 0x8462640}
        app = <incomplete type>
        window = 0x0
        __PRETTY_FUNCTION__ = "int main(int, char**)"

        options = {d = 0x8475ba8}
        result = <optimized out>
(gdb)
TagsNo tags attached.
Build/Install MethodManual build from Git
Attached Files

- Relationships

-  Notes
(0007798)
ttill (developer)
2012-01-19 21:00

Do you still get this crash? I committed a fix just the day before you reported this ;)
(0007799)
mcfrisk (reporter)
2012-01-19 21:34

No, haven't seen this in a while and I've git pulled to the latest ones. Thanks, fixed it is.

- Issue History
Date Modified Username Field Change
2012-01-14 23:32 mcfrisk New Issue
2012-01-19 21:00 ttill Note Added: 0007798
2012-01-19 21:00 ttill Assigned To => ttill
2012-01-19 21:00 ttill Status new => feedback
2012-01-19 21:34 mcfrisk Note Added: 0007799
2012-01-19 21:34 mcfrisk Status feedback => assigned
2012-01-19 23:36 ttill Status assigned => resolved
2012-01-19 23:36 ttill Fixed in Version => Recent git
2012-01-19 23:36 ttill Resolution open => fixed
2012-05-15 10:57 j-b-m Fixed in Version Recent git => 0.9
2012-05-15 10:58 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker